<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class ADVSignedKeyIndexList extends \Google\Protobuf\Internal\Message
{
    


    protected $details = null;
    


    protected $accountSignature = null;
    


    protected $accountSignatureKey = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getDetails()
    {
        return isset($this->details) ? $this->details : '';
    }

    public function hasDetails()
    {
        return isset($this->details);
    }

    public function clearDetails()
    {
        unset($this->details);
    }

    




    public function setDetails($var)
    {
        GPBUtil::checkString($var, False);
        $this->details = $var;

        return $this;
    }

    



    public function getAccountSignature()
    {
        return isset($this->accountSignature) ? $this->accountSignature : '';
    }

    public function hasAccountSignature()
    {
        return isset($this->accountSignature);
    }

    public function clearAccountSignature()
    {
        unset($this->accountSignature);
    }

    




    public function setAccountSignature($var)
    {
        GPBUtil::checkString($var, False);
        $this->accountSignature = $var;

        return $this;
    }

    



    public function getAccountSignatureKey()
    {
        return isset($this->accountSignatureKey) ? $this->accountSignatureKey : '';
    }

    public function hasAccountSignatureKey()
    {
        return isset($this->accountSignatureKey);
    }

    public function clearAccountSignatureKey()
    {
        unset($this->accountSignatureKey);
    }

    




    public function setAccountSignatureKey($var)
    {
        GPBUtil::checkString($var, False);
        $this->accountSignatureKey = $var;

        return $this;
    }

}

